Bug 32422 - [RADEON:KMS:TTM] large images displayed in Firefox appear corrupted
Summary: [RADEON:KMS:TTM] large images displayed in Firefox appear corrupted
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Radeon (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-15 11:28 UTC by Da Fox
Modified: 2012-03-15 04:03 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Picture describing a thousand words. (708.95 KB, image/png)
2010-12-15 11:28 UTC, Da Fox
no flags Details
xorg log (42.29 KB, text/plain)
2010-12-15 11:35 UTC, Da Fox
no flags Details
output of /var/log/messages since bootup (190.90 KB, patch)
2010-12-15 11:42 UTC, Da Fox
no flags Details | Splinter Review
Always include CPU domain for BO eviction (597 bytes, patch)
2010-12-21 01:48 UTC, Michel Dänzer
no flags Details | Splinter Review
Image corruption on Firefox (162.67 KB, image/png)
2011-08-12 09:38 UTC, druidic
no flags Details
Some additional debugging output for the failure (1.02 KB, patch)
2011-08-15 02:44 UTC, Michel Dänzer
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Da Fox 2010-12-15 11:28:26 UTC
Created attachment 41150 [details]
Picture describing a thousand words.

"A picture says more than a thousand words" (aka see attachment)

This is what happens when I try to view the XKCD "Online Communities 2" map (http://xkcd.com/802_large/) or other large images in firefox.
Comment 1 Da Fox 2010-12-15 11:30:51 UTC
(In reply to comment #0)
> Created an attachment (id=41150) [details]
> Picture describing a thousand words.
> 
> "A picture says more than a thousand words" (aka see attachment)
> 
> This is what happens when I try to view the XKCD "Online Communities 2" map
> (http://xkcd.com/802_large/) or other large images in firefox.

Additional information:
This only happens with 'Option NoAccel="false"' in xorg.conf. Enabling NoAccel (e.g. turning acceleration OFF, using 'softpipe') the image renders as expected.
Comment 2 Alex Deucher 2010-12-15 11:32:20 UTC
What GPU is this?  Can you attach your xorg log and dmesg?
Comment 3 Da Fox 2010-12-15 11:35:43 UTC
Created attachment 41151 [details]
xorg log
Comment 4 Da Fox 2010-12-15 11:42:19 UTC
Created attachment 41152 [details] [review]
output of /var/log/messages since bootup
Comment 5 Da Fox 2010-12-15 11:48:18 UTC
Hardware is an IBM Thinkpad T42, which has a ATI Radeon 9600 Mobility M10 / rv350 graphics card.
Comment 6 Alex Deucher 2010-12-15 12:11:49 UTC

*** This bug has been marked as a duplicate of bug 31708 ***
Comment 7 Manuel Lauss 2010-12-15 12:22:40 UTC
(In reply to comment #6)
> 
> *** This bug has been marked as a duplicate of bug 31708 ***

I don't think this bug is related to 31708:  Even with the patch for bug 31708
applied, I see the same corruption in firefox (and only firefox; chrome, imagemagick, the KDE image viewer for example all display these large images correctly).
Comment 8 Michel Dänzer 2010-12-16 08:40:47 UTC
(In reply to comment #7)
> Even with the patch for bug 31708 applied, I see the same corruption in firefox [...]

That's with the latest version (v3) of the patch? (Jerome even submitted v4 later, but I don't think the difference from v3 should be relevant for this problem; wouldn't hurt to try of course)
Comment 9 Da Fox 2010-12-20 10:35:54 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > Even with the patch for bug 31708 applied, I see the same corruption in firefox [...]
> 
> That's with the latest version (v3) of the patch? (Jerome even submitted v4
> later, but I don't think the difference from v3 should be relevant for this
> problem; wouldn't hurt to try of course)

I have tried with the version present in 2.6.37-rc6, which according to the changelog (http://www.kernel.org/pub/linux/kernel/v2.6/testing/ChangeLog-2.6.37-rc6) is v3. 

ps.
I only noticed that there were new posts on this bug after submitting my comment on the other bug.
Comment 10 Michel Dänzer 2010-12-21 00:14:02 UTC
Really looks like a separate bug.
Comment 11 Michel Dänzer 2010-12-21 01:48:11 UTC
Created attachment 41339 [details] [review]
Always include CPU domain for BO eviction

Does this patch help?

Though even if it does, I don't understand why it fails to evict to GTT with Jerome's v3 fix, might be interesting to add some debugging output to find out why ttm_bo_mem_space() fails.
Comment 12 Da Fox 2010-12-21 14:22:11 UTC
(In reply to comment #11)
> Created an attachment (id=41339) [details]
> Always include CPU domain for BO eviction
> 
> Does this patch help?
> 
> Though even if it does, I don't understand why it fails to evict to GTT with
> Jerome's v3 fix, might be interesting to add some debugging output to find out
> why ttm_bo_mem_space() fails.

Sorry, it still fails to render properly. I did notice that at least for the xkcd image it sometimes displays properly, even with only the v3 patch. However I haven't yet been able to determine when this happens. I just happened to notice this because I left the xkcd image open in a tab, and when I later came back to that tab I could see the whole image and pan around without issue. I also don't know yet if this also happens on 2.6.36, I would need to 'test'(try) that.
Comment 13 druidic 2011-08-12 09:34:01 UTC
I've had this same issue for ages on X1400. I has been seemingly random, but always with large images. With this one I can finally reproduce it reliably! Just pan around the xkcd-image for a while, keep switching between tabs and it will happen eventually.
Comment 14 druidic 2011-08-12 09:38:47 UTC
Created attachment 50166 [details]
Image corruption on Firefox

linux-3.0.1
xf86-video-ati-6.14.2
xorg-server-1.10.3.901
firefox-5.0
Comment 15 Michel Dänzer 2011-08-15 02:44:43 UTC
Created attachment 50224 [details] [review]
Some additional debugging output for the failure

Please attach dmesg from reproducing the problem with this kernel patch applied.
Comment 16 druidic 2011-08-15 08:39:26 UTC
Ah. Sorry. I examined the original reporter's logs and compared them to mine. I have no errors in dmesg related to TTM (or anything else for that matter) whatsoever. Or do I need to enable some particular debugging?

Might be that my problem is different - however the symptoms are identical.
Comment 17 Da Fox 2012-03-15 04:02:49 UTC
asasassadadasdasdasdasdasdadasdad
Comment 18 Da Fox 2012-03-15 04:03:48 UTC
(In reply to comment #17)
> asasassadadasdasdasdasdasdadasdad

I'm terribly sorry, please ignore that.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.